Create API key
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/api-keys"
payload = {
"name": "Public API key",
"expires_at": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Public API key",
"expires_at": "<string>",
"scopes": [
"<string>"
]
}
'{
"token": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"keyPrefix": "<string>",
"scopes": [
"<string>"
],
"createdAt": 123,
"lastUsedAt": 123,
"expiresAt": 123,
"revokedAt": 123
},
"secret": "<string>"
}Platform
Create API key
Creates a public API key and returns the secret once.
POST
/
orgs
/
{org_id}
/
api-keys
Create API key
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/api-keys"
payload = {
"name": "Public API key",
"expires_at": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Public API key",
"expires_at": "<string>",
"scopes": [
"<string>"
]
}
'{
"token": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"keyPrefix": "<string>",
"scopes": [
"<string>"
],
"createdAt": 123,
"lastUsedAt": 123,
"expiresAt": 123,
"revokedAt": 123
},
"secret": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on June 30, 2026